package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核培训对象 training
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class Training extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 培训编号 */
    private Long trainingId;

    /** 逻辑删除标识 */
    private Integer delFlag;

    /** 服务介绍视频 */
    @Excel(name = "服务介绍视频")
    private String profile;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 培训考核类型，1为平台&服务介绍，2为服务培训 */
    @Excel(name = "培训考核类型，1为平台&服务介绍，2为服务培训")
    private String trainingAssessType;

    public void setTrainingId(Long trainingId) 
    {
        this.trainingId = trainingId;
    }

    public Long getTrainingId() 
    {
        return trainingId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setProfile(String profile) 
    {
        this.profile = profile;
    }

    public String getProfile() 
    {
        return profile;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setTrainingAssessType(String trainingAssessType) 
    {
        this.trainingAssessType = trainingAssessType;
    }

    public String getTrainingAssessType() 
    {
        return trainingAssessType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("trainingId", getTrainingId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("profile", getProfile())
            .append("reamk", getReamk())
            .append("trainingAssessType", getTrainingAssessType())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
